Routes

Initiate insurance cancellations

POSThttps://api.insurely.com/cancellations

Initiate insurance cancellations for a specific collection. Calling this will create a cancellation power of attorney, which is sent to the insurance holder for signing.

Request

Request Body

authenticationMethodstring

The authentication method used by the insurance holder to sign the power of attorney. Also used for viewing document if not specified separately. Required for Scrive cancellations

Possible Enum values are BANK_ID or STANDARD.
authorEmailEmail

The email address of the cancellation author.

collectionIdstring

The id of the collection in which the insurances were fetched.

deliveryMethodstring

The method used to deliver the power of attorney to the insurance holder. Required for Scrive cancellations

Possible Enum values are EMAIL, SMS or API.
documentTypestring

The type of cancellation that should be used. E.g. SCRIVE or MANUAL.

Possible Enum values are SCRIVE or MANUAL.
emailEmail

The email address of the insurance holder. Only required if deliveryMethod is email.

insuranceHolderNamestring

Optionally supply the insurance holder full name to use for the cancellation.

The insurances to create cancellations for.

personalNumberstring

Optionally assign personal number unless present on collected insurance.

phoneNumberPhoneNumber

The phone number of the insurance holder. Only required if deliveryMethod is SMS.

rejectedRedirectUrlstring

Scrive redirects customer here if customer rejects document.

signSuccessRedirectUrlstring

Scrive redirects customer here after signing document.

Tags added to the Scrive document

viewAuthenticationMethodstring

The authentication method used by the insurance holder to view the power of attorney. Default value is same as authenticationMethod.

Possible Enum values are BANK_ID or STANDARD.

Responses

Cancellations of insurances successfully initiated.

Body

cancelledInsurancesArray<CancellationResponse>

A list of the insurance information for the processed cancellations.

cURL
curl https://api.insurely.com/cancellations \  -H "Content-Type: application/json" \  -d '{  "authenticationMethod": "BANK_ID",  "authorEmail": {    "value": "insurance.admin@insurely.com"  },  "collectionId": "08a7c9b2-77a0-462f-907d-461a94158872",  "deliveryMethod": "SMS",  "documentType": "SCRIVE",  "email": {    "value": "insurance.admin@insurely.com"  },  "insuranceHolderName": "Astrid Svensson",  "insurances": [    {      "externalId": "0462c48b-ecd3-48fb-8438-6c0c6f840021",      "newInsuranceNumber": "ABC12345",      "terminationDate": "2022-12-03"    }  ],  "personalNumber": "198312151234",  "phoneNumber": {    "countryCode": "SE",    "number": 701234567  },  "rejectedRedirectUrl": "https://www.your-site.com/customer-rejected-document",  "signSuccessRedirectUrl": "https://www.your-site.com/customer-signed-document",  "tags": [    {      "name": "source",      "value": "Insurely"    }  ],  "viewAuthenticationMethod": "BANK_ID"}' \  -X POST